Skip to contents

# Function reference

## All functions

`REDCap_split()`
  Split REDCap repeating instruments table into multiple tables

`clean_redcap_name()`
  clean_redcap_name

`d2w()`
  Convert single digits to words

`ds2dd()`
  (DEPRECATED) Data set to data dictionary function

`ds2dd_detailed()`
  Extract data from stata file for data dictionary

`ds2ical()`
  Convert data set to ical file

`easy_redcap()`
  Secure API key storage and data acquisition in one

`focused_metadata()`
  focused_metadata

`get_api_key()`
  Retrieve project API key if stored, if not, set and retrieve

`guess_time_only_filter()`
  Try at determining which are true time only variables

`hms2character()`
  Change "hms" to "character" for REDCap upload.

`mark_complete()`
  Completion marking based on completed upload

`match_fields_to_form()`
  Match fields to forms

`read_redcap_instrument()`
  Convenience function to download complete instrument, using token storage in keyring.

`read_redcap_tables()`
  Download REDCap data

`redcap_wider()`
  Redcap Wider

`redcapcast_data`
  Data set for demonstration

`redcapcast_meta`
  REDCap metadata from data base

`sanitize_split()`
  Sanitize list of data frames

`split_non_repeating_forms()`
  Split a data frame into separate tables for each form

`strsplitx()`
  Extended string splitting

`time_only_correction()`
  Correction based on time_only_filter function. Introduces new class for easier validation labelling.